/* eslint-env node */
'use strict';

const fs = require('fs');
const RSA = require('node-rsa');

const privateKeyFile = './private.ppk';

if (!fs.existsSync(privateKeyFile)) {
  const key = new RSA({ b: 1024 });
  const privateKey = key.exportKey('pkcs1-private');
  fs.writeFile(privateKeyFile, privateKey, (err) => {
    if (err) {
      console.error(err);
      process.exitCode = 1;
    }
  });
}
