export const naturalCompare = (a: string, b: string): number => {
  const locales = new Set<string>([...navigator.languages, 'en-US', 'ja-JP']);
  return new Intl.Collator(Array.from(locales), {
    sensitivity: 'variant',
    numeric: true,
  }).compare(a, b);
};
