import React from 'react';

import clsx from 'clsx';

export type KintonePluginTableTdProps = React.PropsWithChildren<{
  className?: string;
  variant: 'control' | 'operation';
}>;

const KintonePluginTableTd: React.FC<KintonePluginTableTdProps> = (props) => {
  const { className, variant, children } = props;
  if (variant === 'control') {
    return (
      <td className={className}>
        <div className="kintoneplugin-table-td-control">
          <div className="kintoneplugin-table-td-control-value">{children}</div>
        </div>
      </td>
    );
  }
  return <td className={clsx('kintoneplugin-table-td-operation', className)}>{children}</td>;
};
export default KintonePluginTableTd;
