import React from 'react';

import clsx from 'clsx';

export type KintonePluginTableThProps = React.PropsWithChildren<{
  className?: string;
  variant: 'title' | 'blankspace';
}>;

const KintonePluginTableTh: React.FC<KintonePluginTableThProps> = (props) => {
  const { className, variant, children } = props;
  if (variant === 'title') {
    return (
      <th className={clsx('kintoneplugin-table-th', className)}>
        <span className="title">{children}</span>
      </th>
    );
  }
  return <th className={clsx('kintoneplugin-table-th-blankspace', className)}>{children}</th>;
};
export default KintonePluginTableTh;
