import React from 'react';

import { ErrorBoundary } from 'react-error-boundary';
import ErrorFallback from '../common/ErrorFallback';
import Loading from '../common/Loading';
import Settings from './Settings';

interface ConfigAppProps {
  pluginId: string;
}

const ConfigApp: React.FC<ConfigAppProps> = (props) => {
  const { pluginId } = props;
  return (
    <ErrorBoundary FallbackComponent={ErrorFallback}>
      <React.Suspense fallback={<Loading />}>
        <Settings pluginId={pluginId} />
      </React.Suspense>
    </ErrorBoundary>
  );
};
export default ConfigApp;
